package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/service"
)

type GameShieldUserIpHandler struct {
	*Handler
	gameShieldUserIpService service.GameShieldUserIpService
}

func NewGameShieldUserIpHandler(
	handler *Handler,
	gameShieldUserIpService service.GameShieldUserIpService,
) *GameShieldUserIpHandler {
	return &GameShieldUserIpHandler{
		Handler:                 handler,
		gameShieldUserIpService: gameShieldUserIpService,
	}
}

func (h *GameShieldUserIpHandler) GetGameShieldUserIp(ctx *gin.Context) {

}
